package com.dev.swms.client.ui.page;

import com.dev.swms.client.ui.data.Page_IV_DataAccessor;
import com.dev.energy.client.message.IMessagePage;
import com.dev.energy.client.ui.panel.AbstractSupportPanel;

/**
 *@author  dev
 *@version $Project:swms $Date$Version:V1.1
 */
public abstract class Sub_Abstract_Panel extends AbstractSupportPanel {

	public Sub_Abstract_Panel(IMessagePage page, String name) {
		super(page, name);
	}
	
	protected Page_IV_DataAccessor curDataAccessor() {
		return (Page_IV_DataAccessor)this.getData();
	}
	
	public void doDispath(String message){
	    if(Page_IV_DataAccessor.MSG_CLOSE_ALL_COLUMN_CHART.equals(message)) {
			this.hideCharts();
		}
	}

	public void hideCharts(){}
}
